

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using IRaCIS.Core.Domain.Share.Reading;
using System.Collections.Generic;

namespace IRaCIS.Core.Domain.Models
{
	///<summary>
	/// 项目阅片问题答案
	///</summary>
	[Table("ReadingQuestionAnswerTrial")]
	public class ReadingQuestionAnswerTrial : Entity, IAuditAdd
	{
		/// <summary>
		/// 项目问题Id
		/// </summary>
		public Guid ReadingQuestionTrialId { get; set; }

		/// <summary>
		/// 项目ID
		/// </summary>
		public Guid TrialId { get; set; }

		/// <summary>
		/// 受试者Id
		/// </summary>
		public Guid SubjectId { get; set; }

		/// <summary>
		/// 阅片Id
		/// </summary>
		public Guid ReadingId { get; set; }

		/// <summary>
		/// 答案
		/// </summary>
		public string Answer { get; set; }

		/// <summary>
		/// 创建时间
		/// </summary>
		public DateTime CreateTime { get; set; }

		/// <summary>
		/// 创建人
		/// </summary>
		public Guid CreateUserId { get; set; }
	}


	



}
